Loading...
Searching...
No Matches
Gudhi::persistent_cohomology::Multi_field Class Reference
Persistent Cohomology

Structure representing coefficients in a set of finite fields simultaneously using the chinese remainder theorem. More...

`#include <include/gudhi/Persistent_cohomology/Multi_field.h>`

## Public Member Functions

const Element & | additive_identity () const
| Returns the additive idendity \(0_{\Bbbk}\) of the field.
const Element & | multiplicative_identity () const
| Returns the multiplicative identity \(1_{\Bbbk}\) of the field.
Element | times (const Element &y, const Element &w)
const Element & | characteristic () const
| Returns the characteristic \(p\) of the field.
std::pair< Element, Element > | inverse (Element x, Element QS)
Element | times_minus (const Element &x, const Element &y)
Element | plus_times_equal (const Element &x, const Element &y, const Element &w)
Public Member Functions inherited from CoefficientField
| CoefficientField ()
Element | characteristic ()
Element | multiplicative_identity ()
Element | additive_identity ()
void | plus_equal (Element x, Element y)

## Additional Inherited Members

Public Types inherited from CoefficientField
typedef unspecified | Element
| Type of element of the field.

## Detailed Description

Structure representing coefficients in a set of finite fields simultaneously using the chinese remainder theorem.

Details on the algorithms may be found in [boissonnat:hal-00922572]

Examples
  rips_multifield_persistence.cpp.

## Member Function Documentation

## inverse()

std::pair< Element, Element > Gudhi::persistent_cohomology::Multi_field::inverse | ( | Element | x,
|  | Element | QS )

inline

Returns the inverse in the field. Modifies P. ???

## plus_times_equal()

Element Gudhi::persistent_cohomology::Multi_field::plus_times_equal | ( | const Element & | x,
|  | const Element & | y,
|  | const Element & | w )

inline

Set x <- x + w * y

## times()

Element Gudhi::persistent_cohomology::Multi_field::times | ( | const Element & | y,
|  | const Element & | w )

inline

Returns y * w

## times_minus()

Element Gudhi::persistent_cohomology::Multi_field::times_minus | ( | const Element & | x,
|  | const Element & | y )

inline

Returns -x * y.

The documentation for this class was generated from the following file:

- include/gudhi/Persistent_cohomology/Multi_field.h